# TweenBase

TweenBase : `Instance`

## Overview

TweenService:Create() 메서드에 의해 생성된 트윈 객체의 부모 클래스입니다.

## Properties

### PlaybackState

`Enum.PlaybackState`

트윈의 현재 상태입니다. (읽기 전용)

#### Code Samples

```lua
print(Tween.PlaybackState)
```

## Methods

## Events

### Completed

트윈의 재생이 완료되거나, Cancel()로 중단되면 실행됩니다.

연결된 함수에 트윈이 어떤 이유로 종료되었는지 상태를 전달합니다.

#### Parameters

| `Enum.PlaybackState` playbackState | Tween이 종료될 때의 상태입니다. |
| ---------------------------------- | -------------------- |

#### Code Samples

```lua
local function OnCompleted(playbackState)
    print("Tween Complete!", playbackState)
end
Tween.Completed:Connect(OnCompleted)
```

## See also

{% content-ref url="/pages/WzEVkVztdaNwUc41R39v" %}
[트윈](/korean/manual/script-manual/advanced-gameplay-systems/tween.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/tweenbase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
